View Issue Details

IDProjectCategoryView StatusLast Update
0012178Patches-public2009-06-13 10:08
ReporterGraeme Geldenhuys Assigned ToVincent Snijders  
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Platformx86OSUbuntu Linux 
Product Version0.9.25 (SVN) 
Target Version0.9.28Fixed in Version0.9.27 (SVN) 
Summary0012178: New add-on package: File Browser
DescriptionAttached is a File Browser add-on package. It's a window that can be left open and allows you to browse files quickly. Simply double click on a file and it opens in the editor. No more hunt-and-peck using the File Open dialog. The package registers a new menu item in the "View" menu. By default it pre-selects the current project's directory, but this can be customised in the "File Browser | Options" dialog.

I've tested this package under Linux (GTK1) and Windows 2000 using trunk Lazarus (version and revision shown in Product Build field).

Eye-candy will be added at a later stage (eg: icon support). I simply needed the main features for now.

Could this please be added to the <lazarus>/components directory.
TagsNo tags attached.
Fixed in Revision16792
LazTarget0.9.28
Widgetset
Attached Files

Activities

2008-09-18 11:18

 

filebrowser.tar.gz (7,358 bytes)

Vincent Snijders

2008-09-29 11:36

manager   ~0022489

Thanks for the patch.

Issue History

Date Modified Username Field Change
2008-09-18 11:18 Graeme Geldenhuys New Issue
2008-09-18 11:18 Graeme Geldenhuys File Added: filebrowser.tar.gz
2008-09-18 11:35 Vincent Snijders LazTarget => 0.9.28
2008-09-18 11:35 Vincent Snijders Status new => acknowledged
2008-09-18 11:35 Vincent Snijders Target Version => 0.9.27 (SVN)
2008-09-26 19:26 Vincent Snijders Target Version 0.9.27 (SVN) => 0.9.28
2008-09-29 11:20 Vincent Snijders Status acknowledged => assigned
2008-09-29 11:20 Vincent Snijders Assigned To => Vincent Snijders
2008-09-29 11:36 Vincent Snijders Fixed in Revision => 16792
2008-09-29 11:36 Vincent Snijders Status assigned => resolved
2008-09-29 11:36 Vincent Snijders Fixed in Version => 0.9.27 (SVN)
2008-09-29 11:36 Vincent Snijders Resolution open => fixed
2008-09-29 11:36 Vincent Snijders Note Added: 0022489
2009-06-13 10:08 Marc Weustink Status resolved => closed